Swagger Core 2.0.1 发布,构建时支持 JDK 9/10

淡漠悠然
 淡漠悠然
发布于 2018年04月17日
收藏 1

Swagger Core 2.0.1 已发布,该版本主要是修复 bug,也引入了新特性,如对 JDK 9/10 的支持。

有以下值得关注的更新:

  • JDK 9/10 support in build (#2735)

  • Supports OpenAPIExtension decorateOperation (#2748)

  • Fix path building for resources without leading slashes (#2751)

  • Fix stackOverflowError for circuclar reference in jackson ModelResolver (#2740)

  • Fix CVE-2018-7489 - jackson version 2.9.5 (#2755)

  • Fix random build error (#2752)

  • Fix NPE in Reader with null config (#2736)

  • Improve support for #2635

  • Correctly resolve array schema annotations with ref schema items (#2763)

  • Fix security scheme name/key resolving (#2767)

源码下载和更新说明:https://github.com/swagger-api/swagger-core/releases/tag/v2.0.1

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 开源中国社区 [http://www.oschina.net]
本文标题:Swagger Core 2.0.1 发布,构建时支持 JDK 9/10
加载中

精彩评论

花间一壶酒___
stackOverflowError 终于修复了, 真不容易

最新评论(1

花间一壶酒___
stackOverflowError 终于修复了, 真不容易
返回顶部
顶部